## scmail 1.3

=== Makefile ===
VERSION = 1.3

PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
DATADIR = $(PREFIX)/share/scmail
SITELIBDIR = `gauche-config --sitelibdir`

DIST =	AUTHORS \
	COPYING \
	ChangeLog \
	Makefile \
	README \
	NEWS \
	scmail-refile.in \
	scmail-deliver.in \
	scbayes.in \
	scmail.scm \
	codeconv.scm \
	check-gauche.scm 

TARGET = scmail-deliver scmail-refile scbayes \
	 scmail/bayesian-filter.scm \
	 dot.scmail/deliver-rules.sample

all: check-gauche $(TARGET) update-doc

update-doc:
	cd doc && make

check-gauche:
	gosh -I. check-gauche.scm 

scmail/bayesian-filter.scm: scmail/bayesian-filter.scm.in
	rm -f scmail/bayesian-filter.scm
	gosh codeconv.scm scmail/bayesian-filter.scm.in > \
			  scmail/bayesian-filter.scm
	chmod -w scmail/bayesian-filter.scm

dot.scmail/deliver-rules.sample: dot.scmail/deliver-rules.sample.in
	rm -f dot.scmail/deliver-rules.sample
	gosh codeconv.scm dot.scmail/deliver-rules.sample.in > \
			  dot.scmail/deliver-rules.sample
	chmod -w dot.scmail/deliver-rules.sample

scmail-deliver: scmail-deliver.in Makefile
	rm -f scmail-deliver
	GOSH=`which gosh` && \
	sed -e "s!@GOSH@!$$GOSH!g" \
	    scmail-deliver.in > scmail-deliver.tmp
	mv scmail-deliver.tmp scmail-deliver
	chmod 555 scmail-deliver

scmail-refile: scmail-refile.in Makefile
	rm -f scmail-refile
	GOSH=`which gosh` && \
	sed -e "s!@GOSH@!$$GOSH!g" \
	    scmail-refile.in > scmail-refile.tmp
	mv scmail-refile.tmp scmail-refile
	chmod 555 scmail-refile

scbayes: scbayes.in Makefile
	rm -f scbayes
	GOSH=`which gosh` && \
	sed -e "s!@GOSH@!$$GOSH!g" \
	    scbayes.in > scbayes.tmp
	mv scbayes.tmp scbayes
	chmod 555 scbayes

clean:
	rm -f $(TARGET)

check: all
	cd tests && make check

install:
	mkdir -p $(BINDIR)
	mkdir -p $(DATADIR)
	mkdir -p $(SITELIBDIR)/scmail
	mkdir -p $(DATADIR)/dot.scmail
	cp -fp scmail-deliver scmail-refile scbayes $(BINDIR)
	cp -fp dot.scmail/*.sample $(DATADIR)/dot.scmail
	cp -fp scmail.scm $(SITELIBDIR)
	cp -fp scmail/*.scm $(SITELIBDIR)/scmail

dist: all
	rm -rf scmail-$(VERSION)
	rm -f scmail-$(VERSION).tar.gz

	mkdir scmail-$(VERSION)
	mkdir scmail-$(VERSION)/doc
	mkdir scmail-$(VERSION)/scmail
	mkdir scmail-$(VERSION)/dot.scmail
	mkdir scmail-$(VERSION)/tests
	cp -p $(DIST) scmail-$(VERSION)
	cp -p doc/embed.scm doc/Makefile doc/scmail*.html.in doc/scbayes*.html \
		scmail-$(VERSION)/doc
	cp -p scmail/*.scm scmail/*.in scmail-$(VERSION)/scmail
	cp -p dot.scmail/*.sample dot.scmail/*.in \
		scmail-$(VERSION)/dot.scmail
	cp -p tests/Makefile tests/*.scm tests/[1-9] \
		tests/*.in tests/scmail-commands \
		scmail-$(VERSION)/tests 
	for i in `find scmail-$(VERSION) -type f -print`; do \
		test -e $$i -a -e $$i.in && rm -f $$i; true; \
	done
	tar zvcf scmail-$(VERSION).tar.gz  scmail-$(VERSION)
	rm -rf scmail-$(VERSION)

=== doc/Makefile ===
html = scmail.html scmail-ja.html
all:  $(html)

scmail.html: scmail.html.in
	rm -f scmail.html
	gosh embed.scm scmail.html.in > scmail.html
	chmod -w scmail.html

scmail-ja.html: scmail-ja.html.in
	rm -f scmail-ja.html
	gosh embed.scm scmail-ja.html.in > scmail-ja.html
	chmod -w scmail-ja.html

clean:
	rm -f $(html)

=== tests/Makefile ===
TESTS = syntax.scm mail.scm util.scm config.scm progress.scm \
	scmail.scm bayesian-filter.scm mailbox.scm
MAIL  = 1 2 3 4 5 6 7 8
TARGET = bayesian-filter.scm test-rules

all: $(TARGET)

test-rules: test-rules.in
	rm -f test-rules
	gosh ../codeconv.scm test-rules.in > test-rules
	chmod -w test-rules

bayesian-filter.scm: bayesian-filter.scm.in
	rm -f bayesian-filter.scm
	gosh ../codeconv.scm bayesian-filter.scm.in > bayesian-filter.scm
	chmod -w bayesian-filter.scm

check: clean all mh-mailbox maildir-mailbox
	@rm -f test.log
	@for i in $(TESTS); do \
		gosh -I.. $$i >> test.log; \
	done
	@./scmail-commands >> test.log

mh-mailbox:
	@mkdir -p Mail/inbox
	@cp $(MAIL) Mail/inbox

maildir-mailbox:
	@mkdir -p Maildir/cur
	@mkdir -p Maildir/new
	@mkdir -p Maildir/tmp
	@for i in $(MAIL); do \
             suffix=""; \
             test $$i = 1 && suffix=":abc"; \
             test $$i = 2 && suffix=",abc:def"; \
	    cp $$i Maildir/cur/100000000$$i.localhost$$suffix; \
	done

clean:
	@rm -f $(TARGET)
	@rm -rf Mail Maildir test.*

=== debian/changelog ===
scmail (1.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 12:07:09 +0200

scmail (1.3-4) unstable; urgency=low

  * debian/control (Build-Depends): Added gauche-gdbm (Closes: #608558).
    Thanks to Salvatore Bonaccorso

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 06 Jan 2011 17:16:28 +0900

scmail (1.3-3) unstable; urgency=low

  * debian/control (Build-Depends): Added gauche-dev and quilt.  Require
    newer debhelper (Closes: #608205).  Thanks to Jakub Wilk.
    (Depends): Added ${misc:Depends}.
    (Standards-Version): Conforms to 3.9.1.
  * debian/compat: Updated to 7.
  * debian/source/format: New file.
  * debian/watch: Adopted version 3 format.
  * debian/patches/00-debian-changes.diff: New file from diff of 1.3-2.
  * debian/patches/01-fix-module.diff: New file because of Gauche module change.
  * debian/patches/02-use-scmail-config-core.diff: Ditto.
  * debian/patches/03-fix-scmail.diff: New file for old bug fix.
  * debian/patches/04-fix-lock.diff: New file because of Gauche sys-mkdir
    change.
  * debian/patches/04-fix-tail-option.diff: New file because of 'tail' command.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 29 Dec 2010 10:19:26 +0900

scmail (1.3-2) unstable; urgency=low

  * debian/control (Depends): Added gauche-gdbm (closes: #344891).

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed,  4 Jan 2006 17:59:52 +0900

scmail (1.3-1) unstable; urgency=low

  * Initial Release (closes: #291791).

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 21 Feb 2005 18:55:10 +0900

=== debian/control ===
Source: scmail
Section: mail
Priority: optional
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), gauche, gauche-dev (>= 0.9), gauche-gdbm
Standards-Version: 3.9.1
Homepage: http://www.namazu.org/~satoru/scmail/index.html.en

Package: scmail
Architecture: all
Depends: gauche, gauche-gdbm, ${misc:Depends}
Description: a mail filter written in Scheme
 Scmail is a mail filter written in Scheme, you can write processing
 recipes in S-expression.  Scmail can be used as a filter for an
 incoming mail, invoked each time by .forward, or it can be used as a
 mail processor to distribute existing mails into the right mailbox.
 It comes with a bayesian spam filter called scbayes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_OPTIONS

%:
	dh --with quilt  $@

=== debian/watch ===
version=3
http://namazu.org/~satoru/scmail/scmail-(.*)\.tar\.gz
